Subject: Re: tg3 driver and interrupt coalescence questions

From: Rick Jones <[email-masked]>
Date: Tue, 27 Jun 2006 11:33:55 -0700

Chris A. Icide wrote:
> I've been digging around trying to get some information on the
> current status of interrupt mitigation features for a Braodcom 5704 interface.
> 
> Specifically I'm sending and receiving lots of VoIP packets (50 pps
 > per stream, many streams).
> 
> What I can't seem to determine is this:
> 
> What version of the linux kernel & tg3 drivers are required to
> support both rx and tx mitigation?
> What do the ethtool coalescence settings actually do (I've not been

Delay interrupts and increase individual packet latency with the 
intention being decreasing CPU utilization and allowing a higher 
aggregate packet per second limit.  IE bandwidth vs latency tradeoffs.

> able to find actual descriptions of the different parameters in the -C
> section)
> Is there anything special that needs to be done when compiling a
> kernel to enable this feature for both the kernel and the tg3 driver.

Are you looking to increase or decrease the settings?  I would think 
(initially at least) that for VOIP one might not want to increase them.

rick jones